/*
  Copyright (C) 1998-1999 Johan Redestig

  This program is free software; you can redistribute it and/or
  modify it under the terms of the GNU General Public License
  as published by the Free Software Foundation; either version 2
  of the License, or (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*/

#include "stdafx.h"
#include "Painter.h"
#include "MenuItem.h"

Painter::Painter()
{
	m_hFont = NULL;
	m_FontColor = 0;
}

Painter::~Painter()
{

}

void Painter::Paint(MenuItem* m, HDC hDC)
{
	if(m_hFont != NULL)
	{
		SelectObject(hDC, m_hFont);
		SetTextColor(hDC, m_FontColor);
	}
}

void Painter::GetRegion(HRGN hRgn, MenuItem* pItem)
{
	SetRectRgn(hRgn, 0, 0, pItem->GetWidth(), pItem->GetHeight());
}